Loading...
Searching...
No Matches
lime.hpp File Reference

Go to the source code of this file.

## Classes

struct | lime::RecipientData
| The encrypt function input/output data structure. More...
class | lime::LimeManager
| Manage several Lime objects(one is needed for each local user). More...

## Namespaces

namespace | lime

## Typedefs

using | lime::limeCallback = std::function<void(const lime::CallbackReturn status, const std::string message)>
| Callback use to give a status on asynchronous operation.
using | lime::limeX3DHServerResponseProcess = std::function<void(int responseCode, const std::vector<uint8_t> &responseBody)>
| Get the response from server. The external service providing secure communication to the X3DH server shall forward to lime library the server's response.
using | lime::limeX3DHServerPostData = std::function<void(const std::string &url, const std::string &from, const std::vector<uint8_t> &message, const limeX3DHServerResponseProcess &reponseProcess)>
| Post a message to the X3DH server.

## Enumerations

enum class | lime::CurveId : uint8_t { lime::unset =0 , lime::c25519 =1 , lime::c448 =2 }
enum class | lime::EncryptionPolicy { lime::DRMessage , lime::cipherMessage , lime::optimizeUploadSize , lime::optimizeGlobalBandwidth }
enum class | lime::PeerDeviceStatus : uint8_t { lime::untrusted =0 , lime::trusted =1 , lime::unsafe =2 , lime::fail , lime::unknown }
enum class | lime::CallbackReturn : uint8_t { lime::success , lime::fail }